From 116513ec27ce6d6227703b4c99a15b695b9ca2ac Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@hotmail.com>
Date: Mar 04 2024 06:16:10 +0000
Subject: [PATCH 1/220] Fix cosmic-launcher


---

diff --git a/cosmic_apps.py b/cosmic_apps.py
index ad1316c..c41a9e2 100644
--- a/cosmic_apps.py
+++ b/cosmic_apps.py
@@ -972,20 +972,7 @@ POP_LAUNCHER = {
 "requires": STANDARD_REQUIRES,
 "prep": STANDARD_PREP,
 "build": f"just build-vendored",
-"install": f"""install -Dm0755 target/release/pop-launcher-bin %{{buildroot}}/%{{_bindir}}/pop-launcher
-#!/usr/bin/env sh
-set -ex
-for plugin in $('calc desktop_entries files find pop_shell pulse recent scripts terminal web cosmic_toplevel'); do
-    dest=%{{buildroot}}/%{{_prefix}}/lib/pop-launcher/plugins/${{plugin}}
-    mkdir -p ${{dest}}
-    install -Dm0644 plugins/src/${{plugin}}/*.ron ${{dest}}
-    ln -sf %{{buildroot}}/%{{_bindir}}/pop-launcher %{{_prefix}}/lib/pop-launcher/plugins/${{plugin}}/$(echo ${{plugin}} | sed 's/_/-/')
-done
-mkdir -p %{{buildroot}}/%{{_prefix}}/lib/pop-launcher/scripts/
-for script in scripts/*; do
-    cp -r ${{script}} %{{buildroot}}/%{{_prefix}}/lib/pop-launcher/scripts/
-done
-""",
+"install": f"just rootdir=%{{buildroot}} prefix=%{{_prefix}} install",
 "files": f"""
 {contains_(f"%{{_bindir}}/pop-launcher")}
 {contains_(f"%{{_prefix}}/lib/pop-launcher/*")}
diff --git a/pop-launcher/pop-launcher.spec b/pop-launcher/pop-launcher.spec
index 6f20c04..441cc40 100644
--- a/pop-launcher/pop-launcher.spec
+++ b/pop-launcher/pop-launcher.spec
@@ -75,20 +75,7 @@ cp .vendor/config.toml .cargo/config.toml
 just build-vendored
 
 %install
-install -Dm0755 target/release/pop-launcher-bin %{buildroot}/%{_bindir}/pop-launcher
-#!/usr/bin/env sh
-set -ex
-for plugin in $('calc desktop_entries files find pop_shell pulse recent scripts terminal web cosmic_toplevel'); do
-    dest=%{buildroot}/%{_prefix}/lib/pop-launcher/plugins/${plugin}
-    mkdir -p ${dest}
-    install -Dm0644 plugins/src/${plugin}/*.ron ${dest}
-    ln -sf %{buildroot}/%{_bindir}/pop-launcher %{_prefix}/lib/pop-launcher/plugins/${plugin}/$(echo ${plugin} | sed 's/_/-/')
-done
-mkdir -p %{buildroot}/%{_prefix}/lib/pop-launcher/scripts/
-for script in scripts/*; do
-    cp -r ${script} %{buildroot}/%{_prefix}/lib/pop-launcher/scripts/
-done
-
+just rootdir=%{buildroot} prefix=%{_prefix} install
 
 %files
 

